Package Details: nanocurrency-git 16.0RC1.r343.g555f421c-1

Git Clone URL: https://aur.archlinux.org/nanocurrency-git.git (read-only)
Package Base: nanocurrency-git
Description: Nano (formerly RaiBlocks) is a cryptocurrency designed from the ground up for scalable instant transactions and zero transaction fees.
Upstream URL: https://nano.org/
Licenses: BSD 2-Clause
Conflicts: nanocurrency-node-git, raiblocks, raiblocks-git, raiblocks-node-git
Provides: nanocurrency, raiblocks
Submitter: slact
Maintainer: slact
Last Packager: slact
Votes: 5
Popularity: 0.002574
First Submitted: 2018-02-15 23:41
Last Updated: 2019-01-24 20:19

Latest Comments

1 2 Next › Last »

slact commented on 2018-01-20 19:25

done. cmake is now in makedepends

xanx commented on 2018-01-20 02:51

cmake should be listed as a dependency

slact commented on 2018-01-11 23:03

done: https://aur.archlinux.org/packages/raiblocks-cli-git

FSMaxB commented on 2018-01-11 11:01

Could you please add a raiblocks-cli-git with "RAIBLOCKS_GUI=OFF" and without the dependency on Qt?

slact commented on 2018-01-09 16:53

rm /home/{username}/.cache/pacaur/raiblocks-git/lmdb and retry. The source has changed from LMDB's repo to clemahieu's fork.

rkelly commented on 2018-01-09 08:14

Getting this error..

==> ERROR: /home/{username}/.cache/pacaur/raiblocks-git/lmdb is not a clone of https://github.com/clemahieu/lmdb.git
    Aborting...
:: failed to verify raiblocks-git integrity

slact commented on 2018-01-08 18:03

fixed again, this time with no commit reverts or patches. They were necessary while boost 1.66.0 was still in [testing], but not anymore.

qdii commented on 2018-01-07 08:30

Build fails for me:

==> Starting prepare()...
error: could not revert fda5cae9... Update Dockerfile.
hint: after resolving the conflicts, mark the corrected paths
hint: with 'git add <paths>' or 'git rm <paths>'

matiwinnetou commented on 2018-01-04 00:34

It works thanks but now I ran into: https://github.com/clemahieu/raiblocks/issues/387

This seems to unrelated to AUR as package builds fine.

slact commented on 2018-01-04 00:10

raiblocks now depends on boost 1.66, which hasn't made it out of [testing] yet. I have reverted the boost 1.66 commit, and raiblocks-git now builds fine.